# I3SGeometry

#### internal constructor new Cesium.I3SGeometry()
engine/Source/Scene/I3SGeometry.js 18

This class implements an I3S Geometry. Each I3SGeometry generates an in memory glTF to be used as content for a Cesium3DTile

Do not construct this directly, instead access tiles through `I3SNode`.

### Members

#### readonly customAttributes : object
engine/Source/Scene/I3SGeometry.js 70

Gets the custom attributes of the geometry.

#### readonly data : object
engine/Source/Scene/I3SGeometry.js 59

Gets the I3S data for this object.

#### readonly resource : Resource
engine/Source/Scene/I3SGeometry.js 47

Gets the resource for the geometry

### Methods

#### getClosestPointIndexOnTriangle(px, py, pz) → object
engine/Source/Scene/I3SGeometry.js 135

Find a triangle touching the point [px, py, pz], then return the vertex closest to the search point

Name | Type | Description
--- | --- | ---
`px` | number | The x component of the point to query
`py` | number | The y component of the point to query
`pz` | number | The z component of the point to query

##### Returns:

A structure containing the index of the closest point, the squared distance from the queried point to the point that is found, the distance from the queried point to the point that is found, the queried position in local space, the closest position in local space

Need help? The fastest way to get answers is from the community and team on the Cesium Forum.